:root {
  --nord0: #2e3440;
  --nord1: #3b4252;
  --nord2: #434c5e;
  --nord3: #4c566a;
  --nord4: #d8dee9;
  --nord5: #e5e9f0;
  --nord6: #eceff4;
  --nord7: #8fbcbb;
  --nord8: #88c0d0;
  --nord9: #81a1c1;
  --nord10: #5e81ac;
  --nord11: #bf616a;
  --nord12: #d08770;
  --nord13: #ebcb8b;
  --nord14: #a3be8c;
  --nord15: #b48ead;
  color-scheme: light dark;
}

html {
  background-color: light-dark(var(--nord6), var(--nord0));
  color: light-dark(var(--nord0), var(--nord6));
}

body {
  font-family: monospace;
  max-width: 80ch;
}

header {
  margin: 1rem 0;

  p {
    display: inline;
  }

  nav {
    display: inline;
  }

  ul {
    display: inherit;
    list-style: none;
    margin: 0;
    padding: 0;
  }

  li {
    display: inline;
  }
}

hr {
  border: light-dark(var(--nord4), var(--nord3)) 0.5px solid;
}

h1, h2, h3 {
  font-size: inherit;
  color: light-dark(var(--nord0), var(--nord7));
}

h1::before {
  content: "# ";
}

h2::before {
  content: "## ";
}

h3::before {
  content: "### ";
}
